﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Default.aspx.vb" Inherits="WHG.DoubleClick.DialogVB._Default" %>

<%@ Register Assembly="Infragistics45.Web.v19.2, Version=19.2.20192.15, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.LayoutControls" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics45.Web.v19.2, Version=19.2.20192.15, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics45.Web.v19.2, Version=19.2.20192.15, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script>
        function openDialog(sender, eventArgs) {
            var row = "<br/ >";
            var headingElement = document.getElementById("row-type");

            var dialog = $find('<%= wdw.ClientID %>');
            var hasParent = eventArgs.get_item().get_grid().get_parentRow();

            var length = eventArgs.get_item().get_row().get_cellCount();
            for (var i = 0; i < length; i++) {
                var cell = eventArgs.get_item().get_row().get_cell(i);
                row += "<b>" + cell.get_column().get_headerText() + "</b>: " + cell.get_value() + '<br/ >';
            }

            if (hasParent) {
                headingElement.innerHTML = "Child row";
            }
            else {
                headingElement.innerHTML = "Parent row";
            }

            document.getElementById("list").innerHTML = row;
            dialog.show();
            eventArgs.set_cancel(true)
        }

        function clearContent() {
            document.getElementById("list").innerHTML = "";
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <ig:WebScriptManager ID="wsm" runat="server"></ig:WebScriptManager>
            <ig:WebHierarchicalDataGrid ID="whdg" Width="600px" Height="440px" ClientIDMode="Static" ViewStateMode="Disabled" DataKeyFields="ID" DataMember="ParentTable" AutoGenerateColumns="False" runat="server"
                InitialDataBindDepth="1">
                <ClientEvents DoubleClick="openDialog" />
                <Columns>
                    <ig:BoundDataField Key="ID" Hidden="true">
                        <Header Text="ID"></Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField Key="Category">
                        <Header Text="Category"></Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField Key="Value">
                        <Header Text="Value"></Header>
                    </ig:BoundDataField>
                </Columns>
                <Bands>
                    <ig:Band DataKeyFields="ID" DataMember="ChildTable" AutoGenerateColumns="false">
                        <Columns>
                            <ig:BoundDataField Key="ID" Hidden="true">
                                <Header Text="ID"></Header>
                            </ig:BoundDataField>
                            <ig:BoundDataField Key="Subcategory">
                                <Header Text="Subcategory"></Header>
                            </ig:BoundDataField>
                            <ig:BoundDataField Key="Value">
                                <Header Text="Value"></Header>
                            </ig:BoundDataField>
                        </Columns>
                    </ig:Band>
                </Bands>
            </ig:WebHierarchicalDataGrid>
            <ig:WebDialogWindow ID="wdw" runat="server" Height="140px" Width="300px" Modal="true" WindowState="Hidden" InitialLocation="Manual" Top="100" Left="130">
                <ClientEvents WindowStateChanged="clearContent" />
                <Header CloseBox-Visible="true"></Header>
                <ContentPane>
                    <Template>
                        <div style="margin: 15px 0 0 10px">
                            <h2 id="row-type" style="padding-bottom: 0px; font-family: sans-serif"></h2>
                            <hr style="width: 100px; color: #333; background-color: gray; border: none; height: 1px; margin: -10px 0 0 0;" />
                            <p id="list" style="font-size: 11px; margin-top: -5px"></p>
                        </div>
                    </Template>
                </ContentPane>
            </ig:WebDialogWindow>
        </div>
    </form>
</body>
</html>